Name:		qubes-utils
Version:	4.1.19
Release:	1%{?dist}
Summary:	Common Linux files for Qubes Dom0 and VM
Source0:    %{name}-%{version}.tar.gz

Group:		Qubes
License:	GPL
URL:		http://www.qubes-os.org

Requires:	udev
Requires:	%{name}-libs
Requires:	ImageMagick
Requires:	python%{python3_pkgversion}-qubesimgconverter
%{?systemd_requires}
BuildRequires:  systemd
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python3-rpm-macros
# for meminfo-writer
BuildRequires:  xen-devel
BuildRequires:	gcc

%description
Common Linux files for Qubes Dom0 and VM

%package -n python%{python3_pkgversion}-qubesimgconverter
Summary:    Python package qubesimgconverter
Requires:   python%{python3_pkgversion}
Requires:   python%{python3_pkgversion}-cairo
Requires:   python%{python3_pkgversion}-pillow
Requires:   python%{python3_pkgversion}-numpy

%description -n python%{python3_pkgversion}-qubesimgconverter
Python package qubesimgconverter

%package devel
Summary:	Development headers for qubes-utils
Release:	1%{?dist}
Requires:	%{name}-libs

%description devel
Development header and files for qubes-utils

%package libs
Summary: Qubes utils libraries
Release:	1%{?dist}

%description libs
Libraries for qubes-utils

%prep
%setup -q

%build
make all BACKEND_VMM=xen PYTHON=%{__python3}

%install
make install DESTDIR=%{buildroot} PYTHON=%{__python3}

%post
# dom0
%systemd_post qubes-meminfo-writer-dom0.service
# VM
%systemd_post qubes-meminfo-writer.service

%preun
%systemd_preun qubes-meminfo-writer-dom0.service
%systemd_preun qubes-meminfo-writer.service

%postun
%systemd_postun_with_restart qubes-meminfo-writer-dom0.service
%systemd_postun_with_restart qubes-meminfo-writer.service

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/lib/udev/rules.d/*-qubes-*.rules
/usr/lib/tmpfiles.d/xen-devices-qubes.conf
/usr/lib/qubes/udev-*
%{_sbindir}/meminfo-writer
%{_unitdir}/qubes-meminfo-writer.service
%{_unitdir}/qubes-meminfo-writer-dom0.service

%files -n python%{python3_pkgversion}-qubesimgconverter
%{python3_sitelib}/qubesimgconverter/__init__.py
%{python3_sitelib}/qubesimgconverter/imggen.py
%{python3_sitelib}/qubesimgconverter/test.py
%{python3_sitelib}/qubesimgconverter/test_integ.py
%{python3_sitelib}/qubesimgconverter-%{version}-py?.[0-9]*.egg-info
%{python3_sitelib}/qubesimgconverter/__pycache__

%files libs
%{_libdir}/libqubes-rpc-filecopy.so.2

%files devel
%defattr(-,root,root,-)
/usr/include/libqubes-rpc-filecopy.h
%{_libdir}/libqubes-rpc-filecopy.so

%changelog
* Sun Jan 22 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-linux-utils.git

* Sun Jan 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 269809f
- version 4.1.19

* Sun Jan 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ecfca30
- qubes-prepare-vm-kernel: make resize2fs work even if system time is off

* Sun Jan 15 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 606675f
- version 4.1.18

* Sun Jan 15 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f992dfb
- dracut: detect VM based on file presence, no runtime query to qubesdb

* Sun Jan 15 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4efb322
- dracut: drop legacy xenstore-read qubes-vm-type

* Sun Jan 15 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 213bc99
- rpm: add e2fsprogs as qubes-prepare-vm-kernel dependency

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2df85b3
- version 4.1.17

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 67d253d
- rpm: provide virtual qubes-prepare-vm-kernel capability

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 864e176
- qubes-prepare-vm-kernel: make initramfs smaller

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eeb4b2e
- qubes-prepare-vm-kernel: sync with pre-built package features

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5a8bf77
- Build and install vm-modules-genfs

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 322e822
- debian: do not install qubes-prepare-vm-kernel

* Mon Jan 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - e937e6b
- Add spaces after function names

* Mon Jan 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 215eabf
- Install and source grub.qubes-kernel-vm-support

* Mon Jan 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - d3638b0
- Ensure that /etc/default/grub is not empty

* Mon Jan 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 9a94528
- Add comments to /etc/default/grub

* Mon Jan 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - e999527
- Fix up /etc/default/grub in postinstall script

* Mon Jan 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 73dc20f
- Fix sed regex for mkinitcpio.conf

* Mon Jan 09 2023 Rusty Bird <rustybird@net-c.com> - 4c94b62
- initramfs: sector-size agnostic partitioning of volatile volume

* Mon Jan 09 2023 Rusty Bird <rustybird@net-c.com> - 28f6e45
- initramfs: remove unused variable

* Mon Jan 09 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2c4a3e7
- Drop Travis CI

* Mon Jan 09 2023 Gaurav <g.gupta@samsung.com> - 386aeb2
- Make use of static variables

* Wed Oct 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 506594e
- version 4.1.16

* Fri Oct 15 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5be2b83
- spec: allow matching python3.10 in %files

* Fri Jun 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 07ea7b2
- version 4.1.15

* Thu May 13 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 308d708
- version 4.1.14

* Wed May 12 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 0209684
- Force exporting of loop devices

* Tue May 11 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 546e0c9
- Add do_unpack_ext to limit what can be unpacked

* Mon Apr 12 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 54afa23
- Use a flexable array member instead of an empty array

* Fri Mar 12 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c16c721
- kernel-vm-support: fix spec indentation

* Fri Mar 12 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a26b504
- kernel-vm-support: add make as BR

* Fri Feb 05 2021 Shawn Anastasio <shawn@anastas.io> - ac0e7bb
- Makefile: remove broken 32-bit host check

* Thu Jan 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 72458b4
- version 4.1.13

* Wed Jan 06 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - 685d201
- Fix CI

* Tue Jan 05 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - a8ca815
- Mass replace: ‘/var/run’ → ‘/run’

* Tue Jan 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1eff32a
- archlinux: add makedepends on qubes-vm-xen

* Wed Dec 23 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - e872754
- Validate remote filename before displaying it

* Wed Dec 23 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 87ead86
- Modernize systemd unit files

* Wed Dec 23 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - cf009e8
- Meminfo writer comes before user logins

* Fri Dec 18 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - befbd65
- Fix some links to more modern versions

* Sat Dec 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a7e3632
- debian: update compat

* Sat Dec 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6154498
- debian: update control

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8289227
- tests: fix IncompleteReadError exception location

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4ceee75
- ci: add coverage

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 04aacff
- gitlab-ci: add custom jobs

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7160bc7
- Add .gitlab-ci.yml

* Fri Nov 13 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 53120a7
- version 4.1.12

* Thu Nov 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 01e69a7
- rpm,deb: /lib is a symlink to /usr/lib, move the files appropriately

* Thu Nov 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c5413af
- Set /dev/xen/* permissions early

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b124c71
- dracut: enable swap as early as possible

